Package org.apache.sling.scripting.javascript.internal

## Class RhinoJavaScriptEngineFactory

- java.lang.Object
- - org.apache.sling.scripting.api.AbstractScriptEngineFactory
  - - org.apache.sling.scripting.javascript.internal.RhinoJavaScriptEngineFactory

All Implemented Interfaces:
  `ScriptEngineFactory`, `org.mozilla.javascript.tools.debugger.ScopeProvider`

    public class RhinoJavaScriptEngineFactory
    extends org.apache.sling.scripting.api.AbstractScriptEngineFactory
    implements org.mozilla.javascript.tools.debugger.ScopeProvider

### Field Summary

Fields
`static int` `DEFAULT_OPTIMIZATION_LEVEL`
`static String` `ECMA_SCRIPT_EXTENSION`
`static String` `ESP_SCRIPT_EXTENSION`

### Constructor Summary

Constructors
`RhinoJavaScriptEngineFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `activate​(org.osgi.service.component.ComponentContext context, org.apache.sling.scripting.javascript.internal.RhinoJavaScriptEngineFactoryConfiguration configuration)`
`protected void` `addHostObjectProvider​(RhinoHostObjectProvider provider)`
`protected void` `deactivate​(org.osgi.service.component.ComponentContext context)`
`String` `getLanguageName()`
`String` `getLanguageVersion()`
`Object` `getParameter​(String name)`
`org.mozilla.javascript.Scriptable` `getScope()`
`ScriptEngine` `getScriptEngine()`
`protected void` `removeHostObjectProvider​(RhinoHostObjectProvider provider)`

### Methods inherited from class org.apache.sling.scripting.api.AbstractScriptEngineFactory

`getEngineName, getEngineVersion, getExtensions, getMethodCallSyntax, getMimeTypes, getNames, getOutputStatement, getProgram, setEngineName, setEngineVersion, setExtensions, setMimeTypes, setNames`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_OPTIMIZATION_LEVEL

    public static final int DEFAULT_OPTIMIZATION_LEVEL

See Also:
  Constant Field Values

#### ECMA_SCRIPT_EXTENSION

    public static final String ECMA_SCRIPT_EXTENSION

See Also:
  Constant Field Values

#### ESP_SCRIPT_EXTENSION

    public static final String ESP_SCRIPT_EXTENSION

See Also:
  Constant Field Values

### Constructor Detail

#### RhinoJavaScriptEngineFactory

    public RhinoJavaScriptEngineFactory()

### Method Detail

#### getScriptEngine

    public ScriptEngine getScriptEngine()

Specified by:
  `getScriptEngine` in interface `ScriptEngineFactory`

#### getLanguageName

    public String getLanguageName()

Specified by:
  `getLanguageName` in interface `ScriptEngineFactory`

#### getLanguageVersion

    public String getLanguageVersion()

Specified by:
  `getLanguageVersion` in interface `ScriptEngineFactory`

#### getParameter

    public Object getParameter​(String name)

Specified by:
  `getParameter` in interface `ScriptEngineFactory`
Overrides:
  `getParameter` in class `org.apache.sling.scripting.api.AbstractScriptEngineFactory`

#### getScope

    public org.mozilla.javascript.Scriptable getScope()

Specified by:
  `getScope` in interface `org.mozilla.javascript.tools.debugger.ScopeProvider`

#### activate

    protected void activate​(org.osgi.service.component.ComponentContext context,
                            org.apache.sling.scripting.javascript.internal.RhinoJavaScriptEngineFactoryConfiguration configuration)

#### deactivate

    protected void deactivate​(org.osgi.service.component.ComponentContext context)

#### addHostObjectProvider

    protected void addHostObjectProvider​(RhinoHostObjectProvider provider)

#### removeHostObjectProvider

    protected void removeHostObjectProvider​(RhinoHostObjectProvider provider)